ScheduleForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.ScheduleForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action
Class ScheduleForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.CalendarForm
                      org.hyperic.hq.ui.action.ScheduleForm

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ControlForm, ResourceForm

    public class ScheduleForm

extends CalendarForm

A subclass of `BaseValidatorForm` that contains all of the properties for scheduling an action.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `END_NEVER`
`static java.lang.String` | `END_ON_DATE`
`static java.lang.String` | `EVERY_DAY`
`static java.lang.String` | `EVERY_WEEKDAY`
`static java.lang.String` | `ON_DAY`
`static java.lang.String` | `ON_EACH`
`static java.lang.String` | `RECUR_DAILY`
`static java.lang.String` | `RECUR_MONTHLY`
`static java.lang.String` | `RECUR_NEVER`
`static java.lang.String` | `RECUR_WEEKLY`
`static java.lang.String` | `START_NOW`
`static java.lang.String` | `START_ON_DATE`

Fields inherited from class org.hyperic.hq.ui.action.CalendarForm
`AM, PM`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`ScheduleForm()`

Method Summary
`ScheduleValue` | `createSchedule()` This method constructs a schedule time value object from the form.
`java.util.List` | `getControlActions()` Getter for property controlActions.
`java.lang.Integer` | `getEachDay()` Getter for property eachDay.
`java.lang.String` | `getEndTime()` Getter for property endTime.
`boolean` | `getIsNow()`
`java.lang.Integer` | `getMonthlyRecurrenceDay()` Getter for property recurrenceWeek.
`java.lang.Integer` | `getNumControlActions()` Getter for property numControlActions.
`java.lang.String` | `getNumDays()` Getter for property numDays.
`java.lang.String` | `getNumMonths()` Getter for property numMonths.
`java.lang.String` | `getNumWeeks()` Getter for property numWeeks.
`java.lang.String` | `getRecurInterval()` Getter for property recurInterval.
`java.lang.Integer[]` | `getRecurrenceDay()` Getter for property recurrenceDay.
`java.lang.String` | `getRecurrenceFrequencyDaily()` Getter for property recurrenceFrequencyDaily.
`java.lang.String` | `getRecurrenceFrequencyMonthly()` Getter for property recurrenceFrequencyMonthly.
`java.lang.Integer` | `getRecurrenceWeek()` Getter for property recurrenceWeek.
`java.lang.String` | `getStartTime()` Getter for property startTime.
`void` | `populateFromSchedule(ScheduleValue sv, java.util.Locale userLocale)` This method populates the form from a schedule time value object.
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setControlActions(java.util.List controlActions)` Setter for property controlActions.
`void` | `setEachDay(java.lang.Integer eachDay)` Setter for property eachDay.
`void` | `setEndTime(java.lang.String endTime)` Setter for property endTime.
`void` | `setMonthlyRecurrenceDay(java.lang.Integer monthlyRecurrenceDay)` Setter for property monthlyRecurrenceDay.
`void` | `setNumControlActions(java.lang.Integer num)` Setter for property numControlActions.
`void` | `setNumDays(java.lang.String numDays)` Setter for property numDays.
`void` | `setNumMonths(java.lang.String numMonths)` Setter for property numMonths.
`void` | `setNumWeeks(java.lang.String numWeeks)` Setter for property numWeeks.
`void` | `setRecurInterval(java.lang.String recurInterval)` Setter for property recurInterval.
`void` | `setRecurrenceDay(java.lang.Integer[] recurrenceDay)` Setter for property recurrenceDay.
`void` | `setRecurrenceFrequencyDaily(java.lang.String recurrenceFrequencyDaily)` Setter for property recurrenceFrequencyDaily.
`void` | `setRecurrenceFrequencyMonthly(java.lang.String recurrenceFrequencyMonthly)` Setter for property recurrenceFrequencyMonthly.
`void` | `setRecurrenceWeek(java.lang.Integer recurrenceWeek)` Setter for property recurrenceWeek.
`void` | `setStartTime(java.lang.String st)` Setter for property startTime.
`java.lang.String` | `toString()`
`org.apache.struts.action.ActionErrors` | `validate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)` Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to.

Methods inherited from class org.hyperic.hq.ui.action.CalendarForm
`calcHour, getEndAmPm, getEndDate, getEndDay, getEndHour, getEndMin, getEndMonth, getEndYear, getInitStartTime, getStartAmPm, getStartDate, getStartDay, getStartHour, getStartMin, getStartMonth, getStartYear, getWantEndDate, getYearOptions, populateEndDate, populateStartDate, setEndAmPm, setEndDay, setEndHour, setEndMin, setEndMonth, setEndYear, setStartAmPm, setStartDay, setStartHour, setStartMin, setStartMonth, setStartYear, setWantEndDate, shouldValidateDateRange, validateDateRange`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### START_NOW

    public static final java.lang.String START_NOW

See Also:
  Constant Field Values

### START_ON_DATE

    public static final java.lang.String START_ON_DATE

See Also:
  Constant Field Values

### END_NEVER

    public static final java.lang.String END_NEVER

See Also:
  Constant Field Values

### END_ON_DATE

    public static final java.lang.String END_ON_DATE

See Also:
  Constant Field Values

### RECUR_NEVER

    public static final java.lang.String RECUR_NEVER

See Also:
  Constant Field Values

### RECUR_DAILY

    public static final java.lang.String RECUR_DAILY

See Also:
  Constant Field Values

### RECUR_WEEKLY

    public static final java.lang.String RECUR_WEEKLY

See Also:
  Constant Field Values

### RECUR_MONTHLY

    public static final java.lang.String RECUR_MONTHLY

See Also:
  Constant Field Values

### EVERY_DAY

    public static final java.lang.String EVERY_DAY

See Also:
  Constant Field Values

### EVERY_WEEKDAY

    public static final java.lang.String EVERY_WEEKDAY

See Also:
  Constant Field Values

### ON_EACH

    public static final java.lang.String ON_EACH

See Also:
  Constant Field Values

### ON_DAY

    public static final java.lang.String ON_DAY

See Also:
  Constant Field Values

Constructor Detail

### ScheduleForm

    public ScheduleForm()

Method Detail

### createSchedule

    public ScheduleValue createSchedule()
                                 throws java.lang.IllegalArgumentException

  This method constructs a schedule time value object from the form. It assumes that validate() has already been called.

  Throws:
    `java.lang.IllegalArgumentException`

### populateFromSchedule

    public void populateFromSchedule(ScheduleValue sv,
                                     java.util.Locale userLocale)
                              throws java.lang.IllegalArgumentException

  This method populates the form from a schedule time value object.

  Parameters:
    `sv` - The ScheduleValue object to populate the form from.
  Throws:
    `java.lang.IllegalArgumentException`

### getIsNow

    public boolean getIsNow()

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `CalendarForm`

### validate

    public org.apache.struts.action.ActionErrors validate(org.apache.struts.action.ActionMapping mapping,
                                                          javax.servlet.http.HttpServletRequest request)

  Description copied from class: `BaseValidatorForm`
  Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to. condition #2 can be false when a form has failed validation and has forwarded to the input page; the ok button request parameter will still be userset, but the prepare action for the input page will not have (another) input page specified.

  Overrides:
    `validate` in class `CalendarForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `CalendarForm`

### getEachDay

    public java.lang.Integer getEachDay()

  Getter for property eachDay.

  Returns:
    Value of property eachDay.

### setEachDay

    public void setEachDay(java.lang.Integer eachDay)

  Setter for property eachDay.

  Parameters:
    `eachDay` - New value of property eachDay.

### getEndTime

    public java.lang.String getEndTime()

  Getter for property endTime.

  Returns:
    Value of property endTime.

### setEndTime

    public void setEndTime(java.lang.String endTime)

  Setter for property endTime. Also sets wantEndDate to true if endTime equals END_ON_DATE

  Parameters:
    `endTime` - New value of property endTime.

### getNumDays

    public java.lang.String getNumDays()

  Getter for property numDays.

  Returns:
    Value of property numDays.

### setNumDays

    public void setNumDays(java.lang.String numDays)

  Setter for property numDays.

  Parameters:
    `numDays` - New value of property numDays.

### getNumMonths

    public java.lang.String getNumMonths()

  Getter for property numMonths.

  Returns:
    Value of property numMonths.

### setNumMonths

    public void setNumMonths(java.lang.String numMonths)

  Setter for property numMonths.

  Parameters:
    `numMonths` - New value of property numMonths.

### getNumWeeks

    public java.lang.String getNumWeeks()

  Getter for property numWeeks.

  Returns:
    Value of property numWeeks.

### setNumWeeks

    public void setNumWeeks(java.lang.String numWeeks)

  Setter for property numWeeks.

  Parameters:
    `numWeeks` - New value of property numWeeks.

### getRecurrenceDay

    public java.lang.Integer[] getRecurrenceDay()

  Getter for property recurrenceDay.

  Returns:
    Value of property recurrenceDay.

### setRecurrenceDay

    public void setRecurrenceDay(java.lang.Integer[] recurrenceDay)

  Setter for property recurrenceDay.

  Parameters:
    `recurrenceDay` - New value of property recurrenceDay.

### getRecurrenceFrequencyDaily

    public java.lang.String getRecurrenceFrequencyDaily()

  Getter for property recurrenceFrequencyDaily.

  Returns:
    Value of property recurrenceFrequencyDaily.

### setRecurrenceFrequencyDaily

    public void setRecurrenceFrequencyDaily(java.lang.String recurrenceFrequencyDaily)

  Setter for property recurrenceFrequencyDaily.

  Parameters:
    `recurrenceFrequencyDaily` - New value of property recurrenceFrequencyDaily.

### getRecurrenceFrequencyMonthly

    public java.lang.String getRecurrenceFrequencyMonthly()

  Getter for property recurrenceFrequencyMonthly.

  Returns:
    Value of property recurrenceFrequencyMonthly.

### setRecurrenceFrequencyMonthly

    public void setRecurrenceFrequencyMonthly(java.lang.String recurrenceFrequencyMonthly)

  Setter for property recurrenceFrequencyMonthly.

  Parameters:
    `recurrenceFrequencyMonthly` - New value of property recurrenceFrequencyMonthly.

### getRecurrenceWeek

    public java.lang.Integer getRecurrenceWeek()

  Getter for property recurrenceWeek.

  Returns:
    Value of property recurrenceWeek.

### setRecurrenceWeek

    public void setRecurrenceWeek(java.lang.Integer recurrenceWeek)

  Setter for property recurrenceWeek.

  Parameters:
    `recurrenceWeek` - New value of property recurrenceWeek.

### getMonthlyRecurrenceDay

    public java.lang.Integer getMonthlyRecurrenceDay()

  Getter for property recurrenceWeek.

  Returns:
    Value of property recurrenceWeek.

### setMonthlyRecurrenceDay

    public void setMonthlyRecurrenceDay(java.lang.Integer monthlyRecurrenceDay)

  Setter for property monthlyRecurrenceDay.

  Parameters:
    `monthlyRecurrenceDay` - New value of property monthlyRecurrenceDay.

### getRecurInterval

    public java.lang.String getRecurInterval()

  Getter for property recurInterval.

  Returns:
    Value of property recurInterval.

### setRecurInterval

    public void setRecurInterval(java.lang.String recurInterval)

  Setter for property recurInterval.

  Parameters:
    `recurInterval` - New value of property recurInterval.

### getStartTime

    public java.lang.String getStartTime()

  Getter for property startTime.

  Returns:
    Value of property startTime.

### setStartTime

    public void setStartTime(java.lang.String st)

  Setter for property startTime.

  Parameters:
    `st` - New value of property startTime.

### getControlActions

    public java.util.List getControlActions()

  Getter for property controlActions.

  Returns:
    Value of property controlActions.

### setControlActions

    public void setControlActions(java.util.List controlActions)

  Setter for property controlActions.

  Parameters:
    `controlActions` - New value of property controlActions.

### getNumControlActions

    public java.lang.Integer getNumControlActions()

  Getter for property numControlActions.

  Returns:
    Value of property numControlActions.

### setNumControlActions

    public void setNumControlActions(java.lang.Integer num)

  Setter for property numControlActions.

  Parameters:
    `num` - New value of property numControlActions.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.